.ifnot HLP .APPENDIX RNO ERROR MESSAGES
.INDEX ERROR MESSAGES 
.endif HLP
.if HLP
.i-1;2 errors
.br
.endif hlp
RUNOFF produces error messages in the following format: 
.skip 
.nofill 
.indent +16 
RNO -- error message 
.skip 
.fill 
This appendix tabulates the error messages produced by RNO. Most of the error
messages are self-explanatory. In some cases, RNO prints the line in which the
error has occurred, so that the user can examine the source line which caused
the problem and correct it. If the source line is printed it is printed only
up to the point at which the error occurred.  The error is generally the last
character, or word in the source.  Following the source line is the line
number and file name in which that source line appears. 
If the error occurred in a substitution, the substitution is printed
up to the point at which the error occurred.
.LIST 1
.if hlp
.lm.i-1;3 Bad
.endif hlp
.list element RNO -- Bad parameters
.s; This message is given if any of the parameters which follow a command
are not "correct".
The command is listed up to the bad parameter.
An example of a bad parameter  would be .INDENT 25 when you only have 20
characters per line.
Remember that the minimum number of characters per line is 16 and the minimum
number of lines/page is also 16.
The following is a partial list of commands which generate this error.
.ls 0
.le  .DEFINE ESCAPE accepts only decimal or literal input, and any other
input constitutes an error.
.le  .DEFINE SUBSTITUTE must have a label surrounded by delimiters and
this error will occurr if the delimiters are not present.
.le  .DISPLAY either the format is not one of the following:
.i5;D, LU, LL, LM, RU, RL, or RM.
.br;or The pre-header is more than 10 characters
.br;or The post-header is more than 4 characters
.br;or The post-header is specified, but no format is specified.
You may however specify a pre-header with no format or post-header.
.le  Commands which take literals as input will generally give this error if
the apostrophe (') or quotes (") are missing.
.le  Most commands check input numbers and if they are too big or too small
this error will result.  For example .HEADER LEVEL 7 is nonsensical and is
flagged as an error.
.end list 0
.if hlp
.i-1;3 Can
.endif hlp
.le RNO -- Can't indent list element 
.s 
The user has nested lists that cause RNO to attempt indenting 
beyond the right margin. 
.le RNO -- Can't justify line: 
.s 
RNO found a line of text containing no spaces (other than quoted spaces), 
so the line could not be justified. 
.le RNO -- Can't reduce margins 
.s 
A .NOTE command occurred after the margins were set to values 
that prevent the .NOTE command from reducing margins by 5. 
The margins can't be reduced to less than 16 characters/line.
.i-1;3 Character
.le RNO -- Character already defined as flag
.s
In attempting to enable a character as a flag you have used the same
same character as a previous .FLAGS command.  The same character may not
be used as 2 different flags.  You must decide which flag you want and
either disable the previous flag via a .NO FLAGS command, or use a different
character for the second flag.
.le RNO -- Character specified is not special flag
.s; You have attempted to disable an individual special flag, but
the flag character you specified was not previously defined as
a special flag in a .FLAGS SPECIAL command.
.i-1;3 Command
.le RNO -- Command string syntax error
.s; You have entered a command string  in a format that RNO can't decipher.
The general form of the RNO command string is:
.i5; Document_file,Toc_file=Input_file/Switches
.br; The switches or Toc_file may be omitted, but the other items must
be specified.
See the section RNO COMMAND STRING. 
.if hlp
.i-1;3 Extraneous
.endif hlp
.le  RNO -- Extraneous chars after legal command 
.S 
 One or more extraneous characters appear after a legal command and before 
the next command.  These are either typographical errors or you used the 
command improperly.   The command is executed in either case. 
.i-1;3 Illegal
.le RNO -- Illegal command
.s 
This message encompasses a large range of errors.
The following is a partial listing of the commands which can be illegal.
.list 0
.le  .END FOOTNOTE if no .FOOTNOTE command preceeds it.
.le  .END LIST if no .LIST command preceeds it or if the spacing is greater
than 5 or less than 0.
.le  .END LITERAL if no .LITERAL command preceeds it.
.le  .END NOTE if no .NOTE command preceeds it.
.els 0
.if hlp
.endif hlp
.le  RNO -- Illegal command after .LOCK command
.s 
You used .LOCK at the head of the document and subsequent illegal
commands were encountered.  You can probably ignore the error message
if your document is satisfactory.
The inclusion of the .LOCK command was designed to exclude the statements
which are now illegal.
.le  RNO -- Illegal command after a .TEXT command
.s 
You probably forgot to end the text section with an .END TEXT command.
.le  RNO -- Illegal command during footnote
.s 
You probably forgot to include an .END FOOTNOTE statement at the end of
your footnote.  You should be aware that statements which change the overall
page format are forbidden during footnotes.
.le  RNO -- Illegal command during note
.s 
You probably forgot to end your note with an .END NOTE command.
.le RNO -- Illegal flag character
.s
Only special characters may be used as flags.  This includes:
.I5
 _^ _! _" _# _$ _% _& _' _( _) _* _= _[ _] _{ _} _~ _+ _` _| _< _> _? __ _\ _/ _, _.
.br
No numbers or letters may be used as flag characters.
.if hlp
.i-1;3 Input
.endif hlp
.le RNO -- Input file error 
.s 
A read error has occurred on an input file. One of the following 
conditions may exist: 
.list 0 
.le The file contains a line of text with more than 512 characters.
You should edit the file and shorten all such long lines to less than
512 characters.
.le A problem exists with a physical device (e.g. device cycled down). 
.le The file is corrupted or the format is wrong. 
.le The file is a nonsource file. (Object file, etc.) 
.els 0 
.le RNO -- Input file open error 
.s 
The file system, while attempting to open an input file, has 
detected an error. One of the following conditions may exist. 
.list 0 
.le The user directory file is protected against an open. 
.le A problem exists with the physical device. 
.le The volume is not mounted. 
.le The specified file directory does not exist. 
.le The file does not exist as specified. 
.els 0 
.le RNO -- Input file specification error 
.s 
An error exists in the input file specification. Correct the 
specification and re-enter the command. 
.if hlp
.i-1;3 Insufficient
.endif hlp
.le RNO -- Insufficient dynamic memory 
.s 
One of the following commands filled up the dynamic memory.
.list 0
.le .FOOTNOTE
.le .TEXT
.le .DEFINE ESCAPE - permanent
.le .DEFINE SUBSTITUTE - permanent
.le .INDEX - permanent
.els 0
All index entries, escape
sequences, and substitutions reduce dynamic memory permenantly until 
the end of the current document
while footnotes and .TEXT only use it temporarily. 
If you define many substitutions or use .INDEX frequently you must cut down
on these statements.
If it occurred during a footnote or .TEXT you can reduce the amount of text
before the .END statement.  Instead of .TEXT and .END TEXT use
 .TEST PAGE or .TEST TEXT.  If you are currently using the non overlaid
version of RNO switch to the overlaid version.
.le RNO -- Internal error - Contact your system manager
.SKIP 
This message is caused by an internal program error.  You should 
never get this message.  If you get this message contact the system manager. 
This indicates that RNO is not working properly and should be fixed.
It is also possible that you have a hardware malfunction if the same version
of RNO used to work on the same identical text.  Identical means no changes
at all!!
.if hlp
.i-1;3 Maximum
.endif hlp
.le RNO -- Maximum list level exceeded
.s; You have attempted to create more than 6 nested lists.  That is
you issued the command .LIST more than 6 times without any .END LIST
statements.  The 7'th and subsequent .LIST statements are ignored.
.le RNO -- Maximum subindex levels exceeded
.s;You have tried to subindex more than 6 times, and the index terms
have been ignored.  You may only use the subindex flag 6 times inside
a .INDEX command.
.if hlp
.i-1;3 Missing
.endif hlp
.le RNO -- Missing parameter
.s; This command requires a parameter.  Look up the command and add 
the parameter to the command.
.le RNO -- Missing right braces (}) in equation
.s; One of the following errors have been made:]
.list 0
.le You forgot to close a fraction with a right brace }.  The number
of right braces must be the same as the number of left braces in all fractions.
.le The fraction was too wide to fit on the current line and it overflowed to the next one.
Normally this mistake will result in a whole string of error messages following
the Missing right brace message.
.els 0
.if hlp
.i-1;3 Output
.endif hlp
.le RNO -- Output file error 
.s 
A write error has occurred on the output file. One of the following 
conditions exists: 
.list 0 
.le The device is full or is write protected. 
The hardware has failed. 
.le The user does not have write access privileges to the file. 
.els 0 
.le RNO -- Output file open failure 
.s 
The file system, while attempting to open the output file, 
has detected an error. One of the following conditions may exist: 
.list 0 
.le The user's directory file is protected against an open. 
.le A problem exists with the physical device. 
.le The volume is not mounted. 
.le The specified file directory does not exist. 
.le The device is full of write protected. 
.els 0 
.le RNO -- Output file specification error 
.s 
An error exists in the output file specification. Correct the 
specification and re-enter the command. 
.if hlp
.i-1;3 Permanent
.endif hlp
.le RNO -- Permanent footnote error
.s; You specified a permanent footnote, while a footnote was pending for
the current output page.  You must specify the permanent footnote first.
.if hlp
.i-1;3 Symbol
.endif hlp
.le  RNO -- Symbol already defined
.s; This is one of the following errors.
.list 0
.le .DEFINE ESCAPE - The escape sequence you are attempting to define
is already defined.
Either change the sequence name, or .RESET ESCAPE.
.le .DEFINE SUBSTITUTE - The substitution name or abbreviation has
already been defined.  You must change the name or .RESET SUBSTITUTE.
.els 0
.if hlp
.i-1;3 Syntax
.endif hlp
.le RNO -- Syntax error in equation
.s; You have incorrectly formatted a fraction.
Fractions are formatted as:
.i5; {Numerator}/{Denominator}
.br;You have made one of the following mistakes.
.list 0
.le There are extraneous characters between the numerator and denominator.
For example the following is an error }/Denominator
.le You have started a numerator or denominator with a right brace }
when you should use a left brace {.
.le You have omitted the slash / between the numerator and denominator.
The following expression is an example of this error:
.i5; {Numerator}{Denominator}
.els 0
Many times this error will be followed by other error messages.  These extra
messages may probably be ignored.  Usually syntax errors will also
cause the Missin right braces message.
.if hlp
.i-1;3 Too
.endif hlp
.le RNO -- Too many nested fractions
.s; The equation flag has been engaged, and an attempt to format
fractions has been made using the braces { }.  Too many fractions have
been nested on top of one another.  For example if
you input the following expression:
.i5; {{A}/{B}}/{Denominator}
.br; You have nested fractions up to a depth of 2.  When the nesting exceeds
a depth of 6 the equation formatting may fail.  See the section on EQUATION
FORMATTING.
.le RNO -- Too many nested .REQ 
.S 
More than 5 nested levels of .REQUEST have been found.  This means that the 
original file contained a .REQ for a second file, which contained a .REQ for 
a third file and so on.  When the .REQ for a sixth file was issued, it 
was ignored and this error message was issued.  To fix this error you 
must rearrange your files to prevent more than 5 input files being in 
use at one time. 
.le  RNO -- Too many nested substitutions 
.s 
More than 3 levels of substitution have been attempted.  This means that the 
first substitution contained a second, the second contained a third and the 
third contained a fourth.  The fourth level is ignored. 
.le RNO -- Too many tabs specified
.s; The maximum number of tabs stops you may specify is 32.  Any specified
beyond the thirty-second one are ignored.
.if hlp
.i-1;3 Undefined
.endif hlp
.le RNO -- Undefined escape seq.
.s;You used either an escape flag or a special flag and the escape sequence
corresponding to the flag has not been defined.  You must define it via the
#.DEFINE ESCAPE command.
.le  RNO -- Undefined sustitution 
.s 
The substitution flag ($) was followed by an unrecognized label. 
Either you made a typographical error in the label or you wished to  
print the substitute flag character in the text, but forgot to preceed it 
with an Accept flag character(__). 
.if hlp
.i-1;3 Unrecognized
.endif hlp
.le  RNO -- Unrecognized command 
.s; You probably misspelled the command or abbreviation. 
You should be aware that any input line is considered to begin with 
a command if the first character in column 1 is a decimal point.  If you 
wish to begin a line of text with a decimal point insert a space before it 
to prevent its being confused with a command. 
.els 0 
